package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.ExperimentSampleInfo;

import java.util.List;

/**
 * @Description: 试验样品信息
 * @Author: jeecg-boot
 * @Date: 2024-12-04
 * @Version: V1.0
 */
public interface IExperimentSampleInfoService extends IService<ExperimentSampleInfo> {

    List<ExperimentSampleInfo> getByExperimentId(String experimentId);

    List<ExperimentSampleInfo> listSampleModel();

    List<ExperimentSampleInfo> listSampleBatch();

    List<ExperimentSampleInfo> listSampleName();
}
